Skip to main content
GET
Get strategy performance snapshot

Authorizations

Authorization
string
header
required

Itoflow access token issued for the Itoflow API.

Path Parameters

strategyId
string<uuid>
required

Strategy UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

period
string

Performance history window: 1D, 1W, 1M, 3M, 6M, 1Y, or ALL

Example:

"3M"

granularity
string

Performance history sampling override: intraday, hourly, or daily

Example:

"daily"

Response

Strategy performance snapshot

current
object | null
required
factorScorecard
object | null
required
holdings
object
required
pendingFirstExecution
boolean
required
performanceHistory
object[]
required
scorecard
object | null
required
strategy
object
required
valuationError
object | null
required

Null when valuation is known and positive. An unpriced or nonpositive book returns no current metrics or holdings weights, with a reason.